from flask_restx import Api
from src.api.auth import auth_namespace
from src.api.users import NAMESPACE as NAMESPACE_USERS
from src.api.users import users_namespace

api = Api(version="1.0", title="Users API", doc="/doc")


api.add_namespace(users_namespace, path=f"/{NAMESPACE_USERS}")
api.add_namespace(auth_namespace, path="/auth")
